PERSIST-TOOL(1)

NAME
persist-tool - Display the content of the persist file

SYNOPSIS

persist-tool [command] [options]

DESCRIPTION

NOTE: The persist-tool application is distributed with the syslog-ng system logging application, and is usually part of the syslog-ng package. The latest version of the syslog-ng application is available at the official syslog-ng website[1].

This manual page is only an abstract, for the complete documentation of syslog-ng, see the The syslog-ng Administrator Guide[2].

The persist-tool application is a utility that can be used to dump the content of the persist file, and manipulate its content.

    Warning

    Persist-tool is a special tool for syslog-ng experts. Do use the tool unless you know exactly what you are doing. Misconfiguring it will result in irrecoverable damage to the persist file, without any warning.

    Note

    Limitations:

        • The persist-state functions can be used only with syslog-ng PE 5 LTS style persist file (SLP4). Older persist files are not supported.

        • Wildcard characters are not supported in file/directory names.

THE DUMP COMMAND

dump [options] [persist_file]

Use the dump command to print the current content of the persist file in JSON format to the console.

The dump command has the following options:

--help or -?
    Display a brief help message.

Example:

    persist-tool dump /usr/local/var/syslog-ng.persist

The output looks like:

    run_id = { "value": "00 00 00 00 0C 00 00 00 " }
    host_id = { "value": "00 00 00 00 5F 49 2F 01 " }

THE ADD COMMAND

add [options] [input_file]

Use the add command to add or modify a specified state-entry in the persist file. The state-entry should be in the same format as the dump command displays it. If the given state-entry already exists, it will be updated. Otherwise, a new value will be added. If the given persist state is invalid, it will be skipped.

To use the add command: use persist-tool dump to print the content of the current persist file, and redirect it to a file. Edit the content of this file. Use persist-tool add with this file to modify the persist.

The add command has the following options:

--help or -?
    Display a brief help message.

--output-dir=<directory> or -o
    Required parameter. The directory where the persist file is located at. The name of the persist file stored in this directory must be syslog-ng.persist.

Example:

    /usr/local/bin/persist-tool add dump_persist -o .

The valid output looks like:

    log_reader_curpos(Application)      OK
    affile_sd_curpos(/var/aaa.txt)        OK

The invalid output looks like:

    log_reader_curpos(Application)      OK
    wrong
            FAILED (error: Invalid entry syntax)
    affile_sd_curpos(/var/aaa.txt)        OK

FILES

/usr/local/bin/persist-tool

SEE ALSO

syslog-ng.conf(5)

syslog-ng(8)

    Note

    For the detailed documentation of see The 3.33 Administrator Guide[3]

    If you experience any problems or need help with syslog-ng, visit the syslog-ng mailing list[4].

    For news and notifications about of syslog-ng, visit the syslog-ng blogs[5].

AUTHOR

This manual page was written by the Balabit Documentation Team <documentation@balabit.com>.

COPYRIGHT

NOTES

1.  official syslog-ng website
    https://www.balabit.com/log-management

2.  The syslog-ng Administrator Guide
    https://www.balabit.com/support/documentation/

3.  The 3.33 Administrator Guide
    https://www.balabit.com/documents/syslog-ng-ose-latest-guides/en/syslog-ng-ose-guide-admin/html/index.html

4.  syslog-ng mailing list
    https://lists.balabit.hu/mailman/listinfo/syslog-ng

5.  syslog-ng blogs
    https://syslog-ng.org/blogs/